Index: code/branches/cpp11_v3/src/modules/jump/Jump.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/Jump.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/jump/Jump.cc	(revision 11054)
@@ -34,9 +34,5 @@
 #include "Jump.h"
 #include "core/CoreIncludes.h"
-#include "core/EventIncludes.h"
-#include "core/command/Executor.h"
-#include "core/config/ConfigValueIncludes.h"
-#include "gamestates/GSLevel.h"
-#include "chat/ChatManager.h"
+
 #include "JumpCenterpoint.h"
 #include "JumpPlatform.h"
@@ -56,5 +52,8 @@
 #include "JumpBoots.h"
 #include "JumpShield.h"
+
+#include "gamestates/GSLevel.h"
 #include "infos/PlayerInfo.h"
+#include "graphics/Camera.h"
 
 namespace orxonox
@@ -66,10 +65,8 @@
         RegisterObject(Jump);
 
-        center_ = 0;
-        figure_ = 0;
-        camera = 0;
+        center_ = nullptr;
+        figure_ = nullptr;
+        camera = nullptr;
         setHUDTemplate("JumpHUD");
-
-        setConfigValues();
     }
 
@@ -86,5 +83,5 @@
         SUPER(Jump, tick, dt);
 
-        if (figure_ != NULL)
+        if (figure_ != nullptr)
         {
             Vector3 figurePosition = figure_->getPosition();
@@ -101,5 +98,5 @@
                 if (screenShiftSinceLastUpdate_ > center_->getSectionLength())
                 {
-                    if (sectionNumber_ > 2 && sectionNumber_%4 == 0 && rand()%2 == 0 && figure_->propellerActive_ == false && figure_->rocketActive_ == false && addAdventure(adventureNumber_) == true)
+                    if (sectionNumber_ > 2 && sectionNumber_%4 == 0 && rand()%2 == 0 && figure_->propellerActive_ == nullptr && figure_->rocketActive_ == nullptr && addAdventure(adventureNumber_) == true)
                     {
                         screenShiftSinceLastUpdate_ -= 2*center_->getSectionLength();
@@ -133,5 +130,5 @@
 
 
-            if (camera != NULL)
+            if (camera != nullptr)
             {
                 Vector3 cameraPosition = Vector3(0, totalScreenShift_, 0);
@@ -144,10 +141,9 @@
         }
 
-        ObjectList<JumpPlatform>::iterator beginPlatform = ObjectList<JumpPlatform>::begin();
-        ObjectList<JumpPlatform>::iterator endPlatform = ObjectList<JumpPlatform>::end();
-        ObjectList<JumpPlatform>::iterator itPlatform = beginPlatform;
+        ObjectList<JumpPlatform> listPlatform;
+        ObjectList<JumpPlatform>::iterator itPlatform = listPlatform.begin();
         Vector3 platformPosition;
 
-        while (itPlatform != endPlatform)
+        while (itPlatform != listPlatform.end())
         {
             platformPosition = itPlatform->getPosition();
@@ -166,9 +162,8 @@
 
         // Deleted deactivated platforms
-        ObjectList<JumpPlatformDisappear>::iterator beginDisappear = ObjectList<JumpPlatformDisappear>::begin();
-        ObjectList<JumpPlatformDisappear>::iterator endDisappear = ObjectList<JumpPlatformDisappear>::end();
-        ObjectList<JumpPlatformDisappear>::iterator itDisappear = beginDisappear;
-
-        while (itDisappear != endDisappear)
+        ObjectList<JumpPlatformDisappear> listDisappear;
+        ObjectList<JumpPlatformDisappear>::iterator itDisappear = listDisappear.begin();
+
+        while (itDisappear != listDisappear.end())
         {
             if (!itDisappear->isActive())
@@ -185,9 +180,8 @@
         }
 
-        ObjectList<JumpPlatformTimer>::iterator beginTimer = ObjectList<JumpPlatformTimer>::begin();
-        ObjectList<JumpPlatformTimer>::iterator endTimer = ObjectList<JumpPlatformTimer>::end();
-        ObjectList<JumpPlatformTimer>::iterator itTimer = beginTimer;
-
-        while (itTimer != endTimer)
+        ObjectList<JumpPlatformTimer> listTimer;
+        ObjectList<JumpPlatformTimer>::iterator itTimer = listTimer.begin();
+
+        while (itTimer != listTimer.end())
         {
             if (!itTimer->isActive())
@@ -204,10 +198,9 @@
         }
 
-        ObjectList<JumpProjectile>::iterator beginProjectile = ObjectList<JumpProjectile>::begin();
-        ObjectList<JumpProjectile>::iterator endProjectile = ObjectList<JumpProjectile>::end();
-        ObjectList<JumpProjectile>::iterator itProjectile = beginProjectile;
+        ObjectList<JumpProjectile> listProjectile;
+        ObjectList<JumpProjectile>::iterator itProjectile = listProjectile.begin();
         Vector3 projectilePosition;
 
-        while (itProjectile != endProjectile)
+        while (itProjectile != listProjectile.end())
         {
             projectilePosition = itProjectile->getPosition();
@@ -225,10 +218,9 @@
         }
 
-        ObjectList<JumpEnemy>::iterator beginEnemy = ObjectList<JumpEnemy>::begin();
-        ObjectList<JumpEnemy>::iterator endEnemy = ObjectList<JumpEnemy>::end();
-        ObjectList<JumpEnemy>::iterator itEnemy = beginEnemy;
+        ObjectList<JumpEnemy> listEnemy;
+        ObjectList<JumpEnemy>::iterator itEnemy = listEnemy.begin();
         Vector3 enemyPosition;
 
-        while (itEnemy != endEnemy)
+        while (itEnemy != listEnemy.end())
         {
             enemyPosition = itEnemy->getPosition();
@@ -246,10 +238,9 @@
         }
 
-        ObjectList<JumpItem>::iterator beginItem = ObjectList<JumpItem>::begin();
-        ObjectList<JumpItem>::iterator endItem = ObjectList<JumpItem>::end();
-        ObjectList<JumpItem>::iterator itItem = beginItem;
+        ObjectList<JumpItem> listItem;
+        ObjectList<JumpItem>::iterator itItem = listItem.begin();
         Vector3 itemPosition;
 
-        while (itItem != endItem)
+        while (itItem != listItem.end())
         {
             itemPosition = itItem->getPosition();
@@ -273,12 +264,12 @@
     void Jump::cleanup()
     {
-        camera = 0;
+        camera = nullptr;
     }
 
     void Jump::start()
     {
-        if (center_ != NULL) // There needs to be a JumpCenterpoint, i.e. the area the game takes place.
-        {
-            if (figure_ == NULL)
+        if (center_ != nullptr) // There needs to be a JumpCenterpoint, i.e. the area the game takes place.
+        {
+            if (figure_ == nullptr)
             {
                 figure_ = new JumpFigure(center_->getContext());
@@ -301,5 +292,5 @@
         Deathmatch::start();
 
-        if (figure_ != NULL)
+        if (figure_ != nullptr)
         {
             camera = figure_->getCamera();
@@ -328,5 +319,5 @@
         assert(player);
 
-        if (figure_->getPlayer() == NULL)
+        if (figure_->getPlayer() == nullptr)
         {
             player->startControl(figure_);
@@ -337,5 +328,5 @@
     PlayerInfo* Jump::getPlayer() const
     {
-        if (this->figure_ != NULL)
+        if (this->figure_ != nullptr)
         {
             return this->figure_->getPlayer();
@@ -343,5 +334,5 @@
         else
         {
-            return 0;
+            return nullptr;
         }
     }
@@ -349,5 +340,5 @@
     void Jump::addPlatform(JumpPlatform* newPlatform, std::string platformTemplate, float xPosition, float zPosition)
     {
-        if (newPlatform != NULL && center_ != NULL)
+        if (newPlatform != nullptr && center_ != nullptr)
         {
             newPlatform->addTemplate(platformTemplate);
@@ -417,5 +408,5 @@
     {
         JumpProjectile* newProjectile = new JumpProjectile(center_->getContext());
-        if (newProjectile != NULL && center_ != NULL)
+        if (newProjectile != nullptr && center_ != nullptr)
         {
             newProjectile->addTemplate(center_->getProjectileTemplate());
@@ -430,5 +421,5 @@
     {
         JumpSpring* newSpring = new JumpSpring(center_->getContext());
-        if (newSpring != NULL && center_ != NULL)
+        if (newSpring != nullptr && center_ != nullptr)
         {
             newSpring->addTemplate(center_->getSpringTemplate());
@@ -443,5 +434,5 @@
     {
         JumpSpring* newSpring = new JumpSpring(center_->getContext());
-        if (newSpring != NULL && center_ != NULL)
+        if (newSpring != nullptr && center_ != nullptr)
         {
             newSpring->addTemplate(center_->getSpringTemplate());
@@ -456,5 +447,5 @@
     {
         JumpRocket* newRocket = new JumpRocket(center_->getContext());
-        if (newRocket != NULL && center_ != NULL)
+        if (newRocket != nullptr && center_ != nullptr)
         {
             newRocket->addTemplate(center_->getRocketTemplate());
@@ -469,5 +460,5 @@
     {
         JumpRocket* newRocket = new JumpRocket(center_->getContext());
-        if (newRocket != NULL && center_ != NULL)
+        if (newRocket != nullptr && center_ != nullptr)
         {
             newRocket->addTemplate(center_->getRocketTemplate());
@@ -482,5 +473,5 @@
     {
         JumpPropeller* newPropeller = new JumpPropeller(center_->getContext());
-        if (newPropeller != NULL && center_ != NULL)
+        if (newPropeller != nullptr && center_ != nullptr)
         {
             newPropeller->addTemplate(center_->getPropellerTemplate());
@@ -495,5 +486,5 @@
     {
         JumpPropeller* newPropeller = new JumpPropeller(center_->getContext());
-        if (newPropeller != NULL && center_ != NULL)
+        if (newPropeller != nullptr && center_ != nullptr)
         {
             newPropeller->addTemplate(center_->getPropellerTemplate());
@@ -508,5 +499,5 @@
     {
         JumpBoots* newBoots = new JumpBoots(center_->getContext());
-        if (newBoots != NULL && center_ != NULL)
+        if (newBoots != nullptr && center_ != nullptr)
         {
             newBoots->addTemplate(center_->getBootsTemplate());
@@ -521,5 +512,5 @@
     {
         JumpBoots* newBoots = new JumpBoots(center_->getContext());
-        if (newBoots != NULL && center_ != NULL)
+        if (newBoots != nullptr && center_ != nullptr)
         {
             newBoots->addTemplate(center_->getBootsTemplate());
@@ -534,5 +525,5 @@
     {
         JumpShield* newShield = new JumpShield(center_->getContext());
-        if (newShield != NULL && center_ != NULL)
+        if (newShield != nullptr && center_ != nullptr)
         {
             newShield->addTemplate(center_->getShieldTemplate());
@@ -547,5 +538,5 @@
     {
         JumpShield* newShield = new JumpShield(center_->getContext());
-        if (newShield != NULL && center_ != NULL)
+        if (newShield != nullptr && center_ != nullptr)
         {
             newShield->addTemplate(center_->getShieldTemplate());
@@ -560,5 +551,5 @@
     {
         JumpEnemy* newEnemy = new JumpEnemy(center_->getContext());
-        if (newEnemy != NULL && center_ != NULL)
+        if (newEnemy != nullptr && center_ != nullptr)
         {
             switch (type)
@@ -1273,19 +1264,19 @@
     float Jump::getFuel() const
     {
-        if (this->figure_ != NULL)
-        {
-            if (this->figure_->rocketActive_ != NULL)
+        if (this->figure_ != nullptr)
+        {
+            if (this->figure_->rocketActive_ != nullptr)
             {
                 return this->figure_->rocketActive_->getFuelState();
             }
-            else if (this->figure_->propellerActive_ != NULL)
+            else if (this->figure_->propellerActive_ != nullptr)
             {
                 return this->figure_->propellerActive_->getFuelState();
             }
-            else if (this->figure_->shieldActive_ != NULL)
+            else if (this->figure_->shieldActive_ != nullptr)
             {
                 return this->figure_->shieldActive_->getFuelState();
             }
-            else if (this->figure_->bootsActive_ != NULL)
+            else if (this->figure_->bootsActive_ != nullptr)
             {
                 return this->figure_->bootsActive_->getFuelState();
@@ -1300,3 +1291,9 @@
         return figure_->dead_;
     }
+
+    void Jump::setCenterpoint(JumpCenterpoint* center)
+    {
+        center_ = center;
+    }
+
 }
